Loading...
Searching...
No Matches
sqlite::query Struct Reference

query should be used to execute SQL queries An object of this class is not copyable More...

`#include <query.hpp>`

Inheritance diagram for sqlite::query:
Collaboration diagram for sqlite::query:

## Public Member Functions

| query (connection &con, std::string const &sql)
| constructor
virtual | ~query ()
| destructor
result_type | emit_result ()
| executes the sql command
result_type | get_result ()
| returns the results (needs a previous emit() call)
Public Member Functions inherited from sqlite::command
| command (connection &con, std::string const &sql)
| command constructor
virtual | ~command ()
| command destructor
void | clear ()
| clear is used if you'd like to reuse a command object
bool | emit ()
| emit executes the sql command If you have used placeholders you must have replaced all placeholders
bool | operator() ()
| works exactly like the method command::emit
void | bind (int idx)
| binds NULL to the given 1 based index
void | bind (int idx, int v)
| binds the 32-Bit integer v to the given 1 based index
void | bind (int idx, boost::int64_t v)
| binds the 64-Bit integer v to the given 1 based index
void | bind (int idx, double v)
| binds the double v to the given 1 based index
void | bind (int idx, std::string const &v)
| binds the text/string v to the given 1 based index
void | bind (int idx, void const *buf, size_t buf_size)
| binds the binary/blob buf to the given 1 based index
void | bind (int idx, std::vector< unsigned char > const &v)
| binds the binary/blob v to the given 1 based index
command & | operator% (null_type const &p)
| replacement for void command::bind(int idx); To use this operator% you have to use the global object nil Indexes are given automatically first call uses 1 as index, second 2 and so on
command & | operator% (int p)
| replacement for void command::bind(int idx,int); Indexes are given automatically first call uses 1 as index, second 2 and so on
command & | operator% (boost::int64_t p)
| replacement for void command::bind(int idx,boost::int64_t); Indexes are given automatically first call uses 1 as index, second 2 and so on
command & | operator% (double p)
| replacement for void command::bind(int idx,double); Indexes are given automatically first call uses 1 as index, second 2 and so on
command & | operator% (std::string const &p)
| replacement for void command::bind(int idx,std::string const&); Indexes are given automatically first call uses 1 as index, second 2 and so on
command & | operator% (std::vector< unsigned char > const &p)
| replacement for void command::bind(int idx,std::vector<unsigned char> const&); Indexes are given automatically first call uses 1 as index, second 2 and so on

## Private Member Functions

void | access_check ()
bool | step ()

## Friends

struct | result

## Additional Inherited Members

Protected Member Functions inherited from sqlite::command
void | access_check ()
bool | step ()
struct sqlite3 * | get_handle ()
Protected Attributes inherited from sqlite::command
sqlite3_stmt * | stmt

## Detailed Description

query should be used to execute SQL queries An object of this class is not copyable

Definition at line 44 of file query.hpp.

## Constructor & Destructor Documentation

## query()

sqlite::query::query | ( | connection & | con,
|  | std::string const & | sql )

constructor

Parameters

  con | reference to the connection which should be used
  sql | is the SQL query statement

## ~query()

virtual sqlite::query::~query | ( |  | ) |

virtual

destructor

## Member Function Documentation

## access_check()

void sqlite::query::access_check | ( |  | ) |

private

## emit_result()

result_type sqlite::query::emit_result | ( |  | ) |

executes the sql command

Returns
  result_type which is boost::shared_ptr<result>

## get_result()

result_type sqlite::query::get_result | ( |  | ) |

returns the results (needs a previous emit() call)

Returns
  result_type which is boost::shared_ptr<result>

## step()

bool sqlite::query::step | ( |  | ) |

private

## Friends And Related Symbol Documentation

## result

friend struct result

friend

Definition at line 66 of file query.hpp.

References result.

Referenced by result.

The documentation for this struct was generated from the following file:

- include/sqlite/query.hpp